/* AUTOMATICALLY GENERATED FILE - DO NOT EDIT */

#ifndef JFRFILES_JFREVENTIDS_HPP
#define JFRFILES_JFREVENTIDS_HPP

#include "utilities/macros.hpp"
#if INCLUDE_JFR
#include "jfrfiles/jfrTypes.hpp"

/**
 * Enum of the event types in the JVM
 */
enum JfrEventId {
  _jfreventbase = (NUM_RESERVED_EVENTS-1), // Make sure we start at right index.
  
  // Events -> enum entry
  JfrThreadStartEvent,
  JfrThreadEndEvent,
  JfrThreadSleepEvent,
  JfrThreadParkEvent,
  JfrJavaMonitorEnterEvent,
  JfrJavaMonitorWaitEvent,
  JfrJavaMonitorInflateEvent,
  JfrBiasedLockRevocationEvent,
  JfrBiasedLockSelfRevocationEvent,
  JfrBiasedLockClassRevocationEvent,
  JfrReservedStackActivationEvent,
  JfrClassLoadEvent,
  JfrClassDefineEvent,
  JfrClassUnloadEvent,
  JfrIntFlagChangedEvent,
  JfrUnsignedIntFlagChangedEvent,
  JfrLongFlagChangedEvent,
  JfrUnsignedLongFlagChangedEvent,
  JfrDoubleFlagChangedEvent,
  JfrBooleanFlagChangedEvent,
  JfrStringFlagChangedEvent,
  JfrVirtualSpaceEvent,
  JfrObjectSpaceEvent,
  JfrGCHeapSummaryEvent,
  JfrMetaspaceSizesEvent,
  JfrMetaspaceSummaryEvent,
  JfrMetaspaceGCThresholdEvent,
  JfrMetaspaceAllocationFailureEvent,
  JfrMetaspaceOOMEvent,
  JfrMetaspaceChunkFreeListSummaryEvent,
  JfrPSHeapSummaryEvent,
  JfrG1HeapSummaryEvent,
  JfrGarbageCollectionEvent,
  JfrParallelOldGarbageCollectionEvent,
  JfrYoungGarbageCollectionEvent,
  JfrOldGarbageCollectionEvent,
  JfrG1GarbageCollectionEvent,
  JfrG1MMUEvent,
  JfrEvacuationInformationEvent,
  JfrGCReferenceStatisticsEvent,
  JfrCopyFailedEvent,
  JfrObjectCountAfterGCEvent,
  JfrG1EvacuationStatisticsEvent,
  JfrG1EvacuationYoungStatisticsEvent,
  JfrG1EvacuationOldStatisticsEvent,
  JfrG1BasicIHOPEvent,
  JfrG1AdaptiveIHOPEvent,
  JfrPromoteObjectInNewPLABEvent,
  JfrPromoteObjectOutsidePLABEvent,
  JfrPromotionFailedEvent,
  JfrEvacuationFailedEvent,
  JfrConcurrentModeFailureEvent,
  JfrGCPhasePauseEvent,
  JfrGCPhasePauseLevel1Event,
  JfrGCPhasePauseLevel2Event,
  JfrGCPhasePauseLevel3Event,
  JfrGCPhasePauseLevel4Event,
  JfrGCPhaseConcurrentEvent,
  JfrGCPhaseParallelEvent,
  JfrAllocationRequiringGCEvent,
  JfrTenuringDistributionEvent,
  JfrG1HeapRegionTypeChangeEvent,
  JfrCompilationEvent,
  JfrCompilerPhaseEvent,
  JfrCompilationFailureEvent,
  JfrCalleeMethodEvent,
  JfrCompilerInliningEvent,
  JfrSweepCodeCacheEvent,
  JfrCodeCacheFullEvent,
  JfrDeoptimizationEvent,
  JfrSafepointBeginEvent,
  JfrSafepointStateSynchronizationEvent,
  JfrSafepointCleanupEvent,
  JfrSafepointCleanupTaskEvent,
  JfrSafepointEndEvent,
  JfrExecuteVMOperationEvent,
  JfrShutdownEvent,
  JfrObjectAllocationInNewTLABEvent,
  JfrObjectAllocationOutsideTLABEvent,
  JfrOldObjectSampleEvent,
  JfrDumpReasonEvent,
  JfrDataLossEvent,
  JfrJVMInformationEvent,
  JfrOSInformationEvent,
  JfrVirtualizationInformationEvent,
  JfrInitialSystemPropertyEvent,
  JfrInitialEnvironmentVariableEvent,
  JfrSystemProcessEvent,
  JfrCPUInformationEvent,
  JfrCPUTimeStampCounterEvent,
  JfrCPULoadEvent,
  JfrThreadCPULoadEvent,
  JfrThreadContextSwitchRateEvent,
  JfrNetworkUtilizationEvent,
  JfrJavaThreadStatisticsEvent,
  JfrClassLoadingStatisticsEvent,
  JfrClassLoaderStatisticsEvent,
  JfrSymbolTableStatisticsEvent,
  JfrStringTableStatisticsEvent,
  JfrPlaceholderTableStatisticsEvent,
  JfrLoaderConstraintsTableStatisticsEvent,
  JfrProtectionDomainCacheTableStatisticsEvent,
  JfrThreadAllocationStatisticsEvent,
  JfrPhysicalMemoryEvent,
  JfrExecutionSampleEvent,
  JfrNativeMethodSampleEvent,
  JfrThreadDumpEvent,
  JfrNativeLibraryEvent,
  JfrModuleRequireEvent,
  JfrModuleExportEvent,
  JfrCompilerStatisticsEvent,
  JfrCompilerConfigurationEvent,
  JfrCodeCacheStatisticsEvent,
  JfrCodeCacheConfigurationEvent,
  JfrCodeSweeperStatisticsEvent,
  JfrCodeSweeperConfigurationEvent,
  JfrIntFlagEvent,
  JfrUnsignedIntFlagEvent,
  JfrLongFlagEvent,
  JfrUnsignedLongFlagEvent,
  JfrDoubleFlagEvent,
  JfrBooleanFlagEvent,
  JfrStringFlagEvent,
  JfrObjectCountEvent,
  JfrG1HeapRegionInformationEvent,
  JfrGCConfigurationEvent,
  JfrGCSurvivorConfigurationEvent,
  JfrGCTLABConfigurationEvent,
  JfrGCHeapConfigurationEvent,
  JfrYoungGenerationConfigurationEvent,
  JfrZPageAllocationEvent,
  JfrZThreadPhaseEvent,
  JfrZStatisticsCounterEvent,
  JfrZStatisticsSamplerEvent,
  JfrShenandoahHeapRegionStateChangeEvent,
  JfrShenandoahHeapRegionInformationEvent,
  JfrFlushEvent,
  JfrStackFrameEvent,

  MaxJfrEventId
};

/**
 * Struct types in the JVM
 */
enum JfrStructId {
  JfrShenandoahHeapRegionStateStruct,
  JfrDeoptimizationReasonStruct,
  JfrDeoptimizationActionStruct,
  JfrBytecodeStruct,
  JfrCompilerTypeStruct,
  JfrZStatisticsCounterTypeStruct,
  JfrZStatisticsSamplerTypeStruct,
  JfrNetworkInterfaceNameStruct,
  JfrThreadStruct,
  JfrThreadGroupStruct,
  JfrClassStruct,
  JfrClassLoaderStruct,
  JfrMethodStruct,
  JfrSymbolStruct,
  JfrThreadStateStruct,
  JfrGCNameStruct,
  JfrGCCauseStruct,
  JfrGCWhenStruct,
  JfrG1HeapRegionTypeStruct,
  JfrG1YCTypeStruct,
  JfrGCThresholdUpdaterStruct,
  JfrReferenceTypeStruct,
  JfrMetadataTypeStruct,
  JfrMetaspaceObjectTypeStruct,
  JfrNarrowOopModeStruct,
  JfrVMOperationTypeStruct,
  JfrCompilerPhaseTypeStruct,
  JfrFlagValueOriginStruct,
  JfrCodeBlobTypeStruct,
  JfrInflateCauseStruct,
  JfrModuleStruct,
  JfrPackageStruct,
  JfrStackTraceStruct,
  JfrFrameTypeStruct,
  JfrOldObjectRootSystemStruct,
  JfrOldObjectRootTypeStruct,
  JfrOldObjectGcRootStruct,
  JfrOldObjectArrayStruct,
  JfrOldObjectFieldStruct,
  JfrOldObjectStruct,
  JfrReferenceStruct,
  JfrChunkHeaderStruct,
  JfrThreadStartStruct,
  JfrThreadEndStruct,
  JfrThreadSleepStruct,
  JfrThreadParkStruct,
  JfrJavaMonitorEnterStruct,
  JfrJavaMonitorWaitStruct,
  JfrJavaMonitorInflateStruct,
  JfrBiasedLockRevocationStruct,
  JfrBiasedLockSelfRevocationStruct,
  JfrBiasedLockClassRevocationStruct,
  JfrReservedStackActivationStruct,
  JfrClassLoadStruct,
  JfrClassDefineStruct,
  JfrClassUnloadStruct,
  JfrIntFlagChangedStruct,
  JfrUnsignedIntFlagChangedStruct,
  JfrLongFlagChangedStruct,
  JfrUnsignedLongFlagChangedStruct,
  JfrDoubleFlagChangedStruct,
  JfrBooleanFlagChangedStruct,
  JfrStringFlagChangedStruct,
  JfrVirtualSpaceStruct,
  JfrObjectSpaceStruct,
  JfrGCHeapSummaryStruct,
  JfrMetaspaceSizesStruct,
  JfrMetaspaceSummaryStruct,
  JfrMetaspaceGCThresholdStruct,
  JfrMetaspaceAllocationFailureStruct,
  JfrMetaspaceOOMStruct,
  JfrMetaspaceChunkFreeListSummaryStruct,
  JfrPSHeapSummaryStruct,
  JfrG1HeapSummaryStruct,
  JfrGarbageCollectionStruct,
  JfrParallelOldGarbageCollectionStruct,
  JfrYoungGarbageCollectionStruct,
  JfrOldGarbageCollectionStruct,
  JfrG1GarbageCollectionStruct,
  JfrG1MMUStruct,
  JfrEvacuationInformationStruct,
  JfrGCReferenceStatisticsStruct,
  JfrCopyFailedStruct,
  JfrObjectCountAfterGCStruct,
  JfrG1EvacuationStatisticsStruct,
  JfrG1EvacuationYoungStatisticsStruct,
  JfrG1EvacuationOldStatisticsStruct,
  JfrG1BasicIHOPStruct,
  JfrG1AdaptiveIHOPStruct,
  JfrPromoteObjectInNewPLABStruct,
  JfrPromoteObjectOutsidePLABStruct,
  JfrPromotionFailedStruct,
  JfrEvacuationFailedStruct,
  JfrConcurrentModeFailureStruct,
  JfrGCPhasePauseStruct,
  JfrGCPhasePauseLevel1Struct,
  JfrGCPhasePauseLevel2Struct,
  JfrGCPhasePauseLevel3Struct,
  JfrGCPhasePauseLevel4Struct,
  JfrGCPhaseConcurrentStruct,
  JfrGCPhaseParallelStruct,
  JfrAllocationRequiringGCStruct,
  JfrTenuringDistributionStruct,
  JfrG1HeapRegionTypeChangeStruct,
  JfrCompilationStruct,
  JfrCompilerPhaseStruct,
  JfrCompilationFailureStruct,
  JfrCalleeMethodStruct,
  JfrCompilerInliningStruct,
  JfrSweepCodeCacheStruct,
  JfrCodeCacheFullStruct,
  JfrDeoptimizationStruct,
  JfrSafepointBeginStruct,
  JfrSafepointStateSynchronizationStruct,
  JfrSafepointCleanupStruct,
  JfrSafepointCleanupTaskStruct,
  JfrSafepointEndStruct,
  JfrExecuteVMOperationStruct,
  JfrShutdownStruct,
  JfrObjectAllocationInNewTLABStruct,
  JfrObjectAllocationOutsideTLABStruct,
  JfrOldObjectSampleStruct,
  JfrDumpReasonStruct,
  JfrDataLossStruct,
  JfrJVMInformationStruct,
  JfrOSInformationStruct,
  JfrVirtualizationInformationStruct,
  JfrInitialSystemPropertyStruct,
  JfrInitialEnvironmentVariableStruct,
  JfrSystemProcessStruct,
  JfrCPUInformationStruct,
  JfrCPUTimeStampCounterStruct,
  JfrCPULoadStruct,
  JfrThreadCPULoadStruct,
  JfrThreadContextSwitchRateStruct,
  JfrNetworkUtilizationStruct,
  JfrJavaThreadStatisticsStruct,
  JfrClassLoadingStatisticsStruct,
  JfrClassLoaderStatisticsStruct,
  JfrSymbolTableStatisticsStruct,
  JfrStringTableStatisticsStruct,
  JfrPlaceholderTableStatisticsStruct,
  JfrLoaderConstraintsTableStatisticsStruct,
  JfrProtectionDomainCacheTableStatisticsStruct,
  JfrThreadAllocationStatisticsStruct,
  JfrPhysicalMemoryStruct,
  JfrExecutionSampleStruct,
  JfrNativeMethodSampleStruct,
  JfrThreadDumpStruct,
  JfrNativeLibraryStruct,
  JfrModuleRequireStruct,
  JfrModuleExportStruct,
  JfrCompilerStatisticsStruct,
  JfrCompilerConfigurationStruct,
  JfrCodeCacheStatisticsStruct,
  JfrCodeCacheConfigurationStruct,
  JfrCodeSweeperStatisticsStruct,
  JfrCodeSweeperConfigurationStruct,
  JfrIntFlagStruct,
  JfrUnsignedIntFlagStruct,
  JfrLongFlagStruct,
  JfrUnsignedLongFlagStruct,
  JfrDoubleFlagStruct,
  JfrBooleanFlagStruct,
  JfrStringFlagStruct,
  JfrObjectCountStruct,
  JfrG1HeapRegionInformationStruct,
  JfrGCConfigurationStruct,
  JfrGCSurvivorConfigurationStruct,
  JfrGCTLABConfigurationStruct,
  JfrGCHeapConfigurationStruct,
  JfrYoungGenerationConfigurationStruct,
  JfrZPageAllocationStruct,
  JfrZThreadPhaseStruct,
  JfrZStatisticsCounterStruct,
  JfrZStatisticsSamplerStruct,
  JfrShenandoahHeapRegionStateChangeStruct,
  JfrShenandoahHeapRegionInformationStruct,
  JfrFlushStruct,
  JfrStackFrameStruct,

  MaxJfrStructId
};

typedef enum JfrEventId JfrEventId;
typedef enum JfrStructId JfrStructId;

#endif // INCLUDE_JFR
#endif // JFRFILES_JFREVENTIDS_HPP
